/**
   qdice - Copyright (C) 2006 - 2012 Simeon Simeonov
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

**/

#ifndef GLWIDGET_H
#define GLWIDGET_H

#include <QGLWidget>


class GLWidget : public QGLWidget
{
  Q_OBJECT

private:

  int osd_counter; /* used in the osd effect */
  int interval; /* the interval in mseconds between two executeTicks() calls */

  bool animation, display_help; /* animation on/off, display help on/off */
  GLint turns; /* the random amount of spins the dice will make */

  GLint sign, rangle, xr, yr, zr;

  GLdouble tmp_matrix[16]; /* 4x4 matrix used to store the MODELVIEW_MATRIX */

  QTimer *timer; /* used to controll the animation speed */

  GLuint d_object; /* dice object file decriptor */

  GLuint makeDObject(); /* make a dice-object */
  void throwDice(); 
  void makeRandomStep();
  void displayHelp();

private slots:
void executeTicks();

protected:

  void initializeGL();
  void paintGL();
  void resizeGL(int width, int height);
  void keyPressEvent (QKeyEvent * event);
  void mouseDoubleClickEvent(QMouseEvent *event);

public:

  GLWidget(QWidget *parent = 0);
  ~GLWidget();
  
  QSize minimumSizeHint() const;
  QSize sizeHint() const;
    
};

#endif
