/**
   qdice - Copyright (C) 2006 - 2012 Simeon Simeonov
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

**/


#include <QtGui/QApplication>
#include "glwidget.hh"

int 
main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  QGLFormat f = QGLFormat::defaultFormat();
  f.setSampleBuffers(true);
  QGLFormat::setDefaultFormat(f);

  if ( !QGLFormat::hasOpenGL() ) {
    qWarning( "This system has no OpenGL support. Exiting." );
    return -1;
  }

  GLWidget widget(0);

  widget.show();

  return app.exec();
  
}
